*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

html{
    font-size: 16px;
}

body{
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 14px;
    background: linear-gradient(0.25turn, #3f87a6, #ebf8e1, #f69d3c);
}

h1{
    text-align: center;
    margin-top: 50px;
    font-size: 2.5rem;
}

button{
    padding: 5px 10px;
    border: none;
    cursor: pointer;
    background: black;
    color: white;
    font-size: 0.9rem;
}

button:hover{
    opacity: 0.5;
}

.main-container{
    width: 50%;
    min-width: 360px;
    min-height: 160px;
    border: 1px solid rgba(0,0,0,0.2);
    box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.2) ;
    padding: 24px;
    border-radius: 5px;
    background-color: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(10px);
}

.input-container{
    width: 100%;
    border: 2px solid rgba(0, 0, 0, 0.2);
    display: flex;
    justify-content: center;
    overflow: hidden;
    border-radius: 5px;
    margin: 0px 0px 10px;
}

.input-container #task-input{
    border: none;
    outline: none;
    padding: 10px;
    width: 100%;
    font-size: 1.2rem;
    background: transparent;
}

.input-container #priority{
    padding: 10px;
    border: none;
    outline: none;
    background-color: rgba(128, 128, 128, 0.2);
    cursor: pointer;
    font-size: 1rem;
}

#filter-sort-container{
    display: flex;
    align-items: center;
    gap: 5px;
}

#filter-task{
    font-size: 0.9rem;
    padding: 5px 10px;
    outline: none;
    border: none;
    border-radius: 5px;

}

#sort-task{
    border-radius: 5px;
}

#task-list li{
    list-style: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    padding: 10px;
    margin-bottom: 8px;
    background: rgba(255,255,255,0.2);
    border-radius: 5px;
    transition: all 0.2s ease;
}

.high {
    border-left: 5px solid red;
}

.medium {
    border-left: 5px solid orange;
}

.low {
    border-left: 5px solid green;
}

#task-list li:hover{
    transform: scale(1.02);
    background: rgba(255,255,255,0.3);
}

#task-list li span button{
    margin-left: 5px;
}

@media (max-width: 600px){
    .main-container{
        width: 90%;
    }

    h1{
        font-size: 2.5rem;
    }
}